Subject: [tcpPrague] New L4S problem statement: draft-briscoe-tsvwg-aqm-tcpm-rmcat-l4s-problem-00.txt

From: Bob Briscoe <[email-masked]>
Date: Fri, 3 Jun 2016 17:09:30 +0100

Folks,

We've just posted a problem statement for the proposed L4S BoF (or 
mini-BoF, or whatever it will end up as).
We put every affected WG in the filename string of the draft!

It's nearly all there, except some parts are in bullet form, so we can 
improve it over the next couple of weeks.
In particular there is space for use-cases to be added, where we've 
currently only bullet listed some ideas.

Please send comments and suggested text to add, to the tcpprague list, 
of offlist if you prefer.

Bob

On 03/06/16 16:52, [email-masked] wrote:
> A new version of I-D, draft-briscoe-tsvwg-aqm-tcpm-rmcat-l4s-problem-00.txt
> has been successfully submitted by Bob Briscoe and posted to the
> IETF repository.
>
> Name:		draft-briscoe-tsvwg-aqm-tcpm-rmcat-l4s-problem
> Revision:	00
> Title:		Low Latency, Low Loss, Scalable Throughput (L4S) Internet Service: Problem Statement
> Document date:	2016-06-03
> Group:		Individual Submission
> Pages:		17
> URL:            https://www.ietf.org/internet-drafts/draft-briscoe-tsvwg-aqm-tcpm-rmcat-l4s-problem-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-briscoe-tsvwg-aqm-tcpm-rmcat-l4s-problem/
> Htmlized:       https://tools.ietf.org/html/draft-briscoe-tsvwg-aqm-tcpm-rmcat-l4s-problem-00
>
>
> Abstract:
>     This document motivates a new service that the Internet could provide
>     to eventually replace best efforts for all traffic: Low Latency, Low
>     Loss, Scalable throughput (L4S).  It is becoming common for all (or
>     most) applications being run by a user at any one time to require low
>     latency, but the only solution the IETF can offer for ultra-low
>     queuing latency is Diffserv, which only offers low latency for some
>     packets at the expense of others.  Diffserv has also proved hard to
>     deploy widely end-to-end.
>
>     In contrast, a zero-config incrementally deployable solution has been
>     demonstrated that keeps average queuing delay under a millisecond for
>     _all_ applications even under very heavy load; and it keeps
>     congestion loss to zero.  At the same time it solves the long-running
>     problem with the scalability of TCP throughput.  Even with a high
>     capacity broadband access, the resulting performance under load is
>     remarkably and consistently improved for applications such as
>     interactive video, conversational video, voice, Web, gaming, instant
>     messaging, remote desktop and cloud-based apps.  This document
>     explains the underlying problems that have been preventing the
>     Internet from enjoying such performance improvements.  It then
>     outlines the parts necessary for a solution and the steps that will
>     be needed to standardize them.
>
>                                                                                    
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>

-- 
________________________________________________________________
Bob Briscoe                               http://bobbriscoe.net/